Subject: Ticket Assigned - COMPLAINT
From: Homecentre <[email-masked]>
To: [email-masked]
Date: Tue, 15 Sep 2020 06:51:39 +0000

Hi Asjad Hussain,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  COMPLAINT Hello,

I am very disappointed with the level of service I am getting. I placed an order online for two mirrors and 2 lamps (Order # 8398010198) on 17/08/2020. 

Status shows shipped since 19/08/2020. Had it been shipped from Mars it would be here by now. 

I called the call center on a Saturday 12/09/202 and the female agent  Said she submitted an urgent request and I would get a call the next day cuz it was significantly late. 

No one called. I called on Sunday 13/09/202 and the gentleman  agent said  have to wait!!! Sorry no I don't have to wait a month to get my order then I don't know how long to get someone to address my complaint.

When I said I wanted to cancel it he said I can't cuz I don't have the goods yet.

I had to go myself on Sunday evening and buy the lamps I needed again. It is Tuesday and I still didn't get a call to schedule my delivery which is severely overdue and late.

I expect some form of professionalism form an establishment as big as yours w specially when YOU are at fault. You have received your monetary compensation for goods that I have not received.  

I will actively keep perusing until my issue is resolved by either delivery or reimbursement of my money. 

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1482702